[[roundRobin-eip]]
= Round Robin EIP
:docTitle: Round Robin
:description: Round robin load balancer The round robin load balancer will use the next endpoint for each message. This load balancer is not meant to work with failover, for that you should use the dedicated failover load balancer.
:since: 
:supportLevel: Stable

Round Robin Load Balancer. With this Load Balancing policy, a random endpoint is selected for each exchange.

== Options

// eip options: START
The Round Robin EIP has no options.
// eip options: END

== Examples

In this case we are using the header test as correlation expression:

[source,java]
----
from("direct:start")
    .loadBalance()
    .roundRobin()
    .to("seda:x", "seda:y", "seda:z");
----

In XML you'll have a route like this

[source,xml]
----
<from uri="direct:start"/>
    <loadBalance>
       <roundRobin/>
       <to uri="seda:x"/>      
       <to uri="seda:y"/>      
       <to uri="seda:z"/>       
    </loadBalance> 
----
